Page MenuHomePhabricator

VisualEditor hangs on Spanish Wikipedia in IE11
Closed, ResolvedPublic8 Estimated Story Points

Description

I'm trying to open https://es.wikipedia.org/w/index.php?title=Primera_B_(Argentina)&veaction=edit&vesection=6 in IE 11, and it just hangs when the bar is almost 2/3 full (I'm not logged in there, if it helps, and trying to edit the entire article instead gives the same result).

Event Timeline

Elitre created this task.May 1 2015, 4:11 PM
Elitre raised the priority of this task from to High.
Elitre updated the task description. (Show Details)
Elitre added a project: VisualEditor.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2015, 4:11 PM
Jdforrester-WMF renamed this task from VisualEditor hangs on loading to VisualEditor hangs on loading a specific article in IE11.May 8 2015, 1:18 AM
Jdforrester-WMF set Security to None.

T97346 may be the about the same issue.

Does this still happen? Is there an error in the console?

Elitre added a comment.EditedJun 18 2015, 6:26 AM

Yes, and no, sorry.

James, I'm afraid this is not about a single article, I can't get VE to load on any article at es.wiki, even when logged-in.

@Elitre: Sure the problem happening on other articles is not T103498 instead which might block retesting the problem covered in this task? Here when not being logged in on Firefox 38 on Linux (not IE) and going to the link above I don't see the progress bar going away either after 2/3. And the browser console says "TypeError: $.escapeRE is not a function" which sounds a lot like T103498.

Elitre renamed this task from VisualEditor hangs on loading a specific article in IE11 to VisualEditor hangs on Spanish Wikipedia in IE11.Jun 25 2015, 5:08 PM

@Aklapper, I don't know (the link you posted with the debug parameter doesn't work for me in other browsers as well). I don't see any error in the IE console.

Esanders added a subscriber: Esanders.EditedJul 9 2015, 4:21 PM

es.wiki have a bug in their common.js (using document.attachEvent which doesn't exist in IE11) which is probably the cause https://es.wikipedia.org/wiki/MediaWiki_discusi%C3%B3n:Common.js#URGENT:_Exceptions_thrown_in_IE11

Esanders closed this task as Resolved.Jul 9 2015, 5:08 PM
Esanders claimed this task.